.afh-search-module {
  margin: 0 auto;
}

.afh-search-module .search-sort-container {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  background-color: var(--primary-color);
  padding: 1rem;
  gap: 1rem;
  position: relative;
}

.afh-search-module .search-sort-container::after {
  content: '';
  display: block;
  position: absolute;
  width: 100vw;
  height: 100%;
  background-color: var(--primary-color);
  z-index: 1;
  left: 50%;
  top: 0;
  transform: translateX(-50vw);
}

/* Search Bar | Applied Filters | Sort */
.afh-search-module .search-sort-container .search-bar-wrapper {
  background-color: var(--white);
  border-radius: 1.5rem;
  width: 100%;
  max-width: 24rem;
  position: relative;
  z-index: 2;
}

.afh-search-module .search-sort-container .applied-filters-wrapper,
.afh-search-module .search-sort-container .sort-dropdown-wrapper {
  position: relative;
  z-index: 2;
}

.afh-search-module .search-sort-container .search-bar-container .search-bar-input {
  padding: .15rem 1rem;
  margin: .25rem;
  height: 2.2rem;
  border-radius: 1.25rem;
}

.afh-search-module .search-sort-container .search-bar-container .search-bar-button-container svg {
  filter: brightness(0) saturate(100%) invert(0%) sepia(100%) saturate(7500%) hue-rotate(327deg) brightness(114%) contrast(89%);
}

.afh-search-module .search-sort-container .applied-filters-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: .5rem;
}

.afh-search-module .search-sort-container .applied-filters-container .removable-filter {
  display: flex;
  align-items: center;
  gap: .5rem;
  font-weight: 500;
  color: var(--white);
  border: 2px solid var(--white);
  border-radius: 1.3rem;
  padding: .4rem;
  margin-top: .25rem;
}

.afh-search-module .search-sort-container .applied-filters-container .removable-filter button {
  height: 25px;
  width: 25px;
  border: 1px solid var(--white);
  border-radius: 50%;
  background-color: transparent;
  filter: brightness(0) saturate(100%) invert(100%) sepia(100%) saturate(0%) hue-rotate(335deg) brightness(102%) contrast(101%);
}

.afh-search-module .search-sort-container .applied-filters-container .clear-all-button {
  display: none;
}

.afh-search-module .search-sort-container .sort-container {
  position: relative;
}

.afh-search-module .search-sort-container .sort-container .sort-text-container {
  display: flex;
  justify-content: space-between;
  font-weight: 500;
  color: var(--white);
  border: 1px solid var(--white);
  border-radius: 5px;
  padding: .5rem 0 .5rem .5rem;
  min-width: 160px;
  cursor: pointer;
}

.afh-search-module .search-sort-container .sort-container .sort-text-container .sort-btn {
  background: url('/icons/chevron.svg') no-repeat center right .75rem;
  filter: brightness(0) saturate(100%) invert(100%) sepia(100%) saturate(0%) hue-rotate(335deg) brightness(102%) contrast(101%);
  border: 0;
  padding: .75rem 1.5rem;
  margin: 0;
  transition: .15s;
  transform: rotate(0);
}

.afh-search-module .search-sort-container .sort-container .sort-text-container .sort-btn.open {
  padding: .75rem 1.25rem;
  transform: rotate(180deg);
}

.afh-search-module .search-sort-container .sort-container .sort-dropdown-list {
  position: absolute;
  background-color: var(--primary-color);
  color: var(--white);
  border-radius: 0 0 .5rem .5rem;
  padding: .5rem;
  margin: 0;
  width: 100%;
  z-index: 1;
}

.afh-search-module .search-sort-container .sort-container .sort-dropdown-list li {
  list-style: none;
  cursor: pointer;
}

@media(width >= 768px) {
  .afh-search-module .search-sort-container .search-bar-wrapper {
    max-width: none;
  }
}

@media(width >= 1024px) {
  .afh-search-module .search-sort-container {
    flex-direction: row;
  }

  .afh-search-module .search-sort-container .search-bar-wrapper {
    max-width: 420px;
  }

  .afh-search-module .search-sort-container .applied-filters-container {
    flex-direction: row;
  }
}

.afh-search-module .yext-facets-results-wrapper {
  display: flex;
  flex-direction: column;
  margin-top: 1rem;
}

/* Facets */
.afh-search-module .yext-facets-results-wrapper .facets-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #F6F6F6;
  width: 100%;
  border-radius: .5rem;
}

.afh-search-module .yext-facets-results-wrapper .facets-wrapper .filter-results-title-container.desktop {
  display: none;
}

.afh-search-module .yext-facets-results-wrapper .facets-wrapper .filter-results-title-container {
  display: flex;
  justify-content: space-between;
  padding: 1.25rem;
}

.afh-search-module .yext-facets-results-wrapper .facets-wrapper .filter-results-title-container,
.afh-search-module .yext-facets-results-wrapper .facets-wrapper > div {
  width: 100%;
  max-width: 24rem;
  cursor: pointer;
}

.afh-search-module .yext-facets-results-wrapper .facets-wrapper .filter-results-title-container.open ~ div .yext-facets-container {
  display: block;
}

.afh-search-module .yext-facets-results-wrapper .facets-wrapper .filter-results-title-container .filter-title {
  margin: 0;
}

.afh-search-module .yext-facets-results-wrapper .facets-wrapper .filter-results-title-container.open .filter-btn {
  transform: rotate(180deg);
}

.afh-search-module .yext-facets-results-wrapper .facets-wrapper .filter-results-title-container .filter-btn {
  background: url('/icons/chevron.svg') no-repeat center right .55rem;
  filter: brightness(0) saturate(100%) invert(0%) sepia(9%) saturate(7500%) hue-rotate(67deg) brightness(102%) contrast(107%);
  border: 2px solid var(--black);
  border-radius: 100%;
  padding: 1rem;
  margin-right: -.5rem;
  transition: .15s;
  transform: rotate(0);
}

.afh-search-module .yext-facets-results-wrapper .facets-wrapper .yext-facets-container {
  display: none;
  margin: 0 0 2rem;
  padding: .5rem 1rem;
}

.afh-search-module .yext-facets-results-wrapper .facets-wrapper .yext-facets-container button {
  display: flex;
  justify-content: space-between;
  background-color: transparent;
  font-weight: 500;
  text-transform: none;
  text-decoration: none;
  border: none;
  padding: .5rem;
  width: 100%;
}

.afh-search-module .yext-facets-results-wrapper .facets-wrapper .yext-facets-container button:not(:first-child) {
  margin-top: 1rem;
}

.afh-search-module .yext-facets-results-wrapper .yext-facets-container button svg {
  height: 15px;
  width: 15px;
}

.afh-search-module .yext-facets-results-wrapper .yext-facets-container .options-container {
  background-color: var(--white);
  border-radius: .5rem;
  padding: .5rem;
  width:100%;
}

.afh-search-module .yext-facets-results-wrapper .yext-facets-container .options-container .search-input {
  display: none;
}

.afh-search-module .yext-facets-results-wrapper .yext-facets-container .options-container > div > div input {
  height: 15px;
  width: 15px;
  margin-right: .5rem;
}

@media(width >= 768px) {
  .afh-search-module .yext-facets-results-wrapper {
    flex-direction: row;
    gap: .25rem;
  }

  .afh-search-module .yext-facets-results-wrapper .facets-wrapper {
    max-width: 16rem;
  }

  .afh-search-module .yext-facets-results-wrapper .facets-wrapper .filter-results-title-container {
    display: none;
  }

  .afh-search-module .yext-facets-results-wrapper .facets-wrapper .filter-results-title-container.desktop {
    display: block;
  }

  .afh-search-module .yext-facets-results-wrapper .facets-wrapper .filter-results-title-container ~ div .yext-facets-container {
    display: block;
  }

  /* .afh-search-module .yext-facets-results-wrapper .facets-wrapper .filter-results-title-container,
  .afh-search-module .yext-facets-results-wrapper .facets-wrapper > div {
    min-width: 18rem;
    max-width: 18rem;
  } */
}

@media(width >= 1024px) {
  .afh-search-module .yext-facets-results-wrapper {
    gap: 1rem;
  }
  
  .afh-search-module .yext-facets-results-wrapper .facets-wrapper {
    max-width: 18rem;
  }
}

@media(width >= 1440px) {
  .afh-search-module .yext-facets-results-wrapper {
    max-width: calc(1440px - 2rem);
    margin: 1rem auto 0;
  }
}

/* Product & Content Card Listing */
.afh-search-module .yext-cards-container {
  max-width: 24rem;
  margin: 1rem auto;
}

.afh-search-module .yext-cards-container .yext-outer-wrapper {
  margin: 2rem;
}

.afh-search-module .yext-cards-container .yext-card-wrapper {
  text-decoration: none;
  display: block;
}

.afh-search-module .yext-cards-container .yext-card-container {
  display: flex;
  flex-direction: column;
}

.afh-search-module .yext-cards-container .yext-card-description-container {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.afh-search-module .yext-cards-container .yext-card-container .yext-card-name {
  font-size: 1.5rem;
  font-weight: 700;
  margin: 0;
  line-height: 1;
}

.afh-search-module .yext-cards-container .yext-card-container .yext-card-case {
  font-weight: 500;
  margin: 0;
}

.afh-recipe-listing-block .afh-search-module .yext-cards-container .yext-card-container .yext-card-img-container img {
  max-width: none;
  width: 100%;
  object-fit: cover;
  border-radius: .5rem;
}

.afh-search-module .yext-cards-container .yext-card-container .button-container {
  margin: 0;
}

.afh-search-module .yext-cards-container .yext-card-wrapper:hover .yext-card-name,
.afh-search-module .yext-cards-container .yext-card-wrapper:hover .yext-card-case {
  color: var(--black);
}

.afh-search-module .yext-cards-container .yext-card-container .yext-card-case .copy-to-clipboard {
  position: relative;
}

.afh-search-module .yext-cards-container .yext-card-container .yext-card-case .copy-to-clipboard .featured-tooltip {
  position: relative;
  cursor: pointer;
  display: inline-block;
  padding-left: .5rem;
}

.afh-search-module .yext-cards-container .yext-card-container .yext-card-case .copy-to-clipboard .featured-tooltip::before {
  position: absolute;
  top: 98%;
  transform: rotate(-135deg);
  left: 50%;
  margin: -0.46em -1em -0.46em -0.5em;
}

.afh-search-module .yext-cards-container .yext-card-container .yext-card-case .copy-to-clipboard .featured-tooltip::after {
  content: '';
  display: inline-block;
  vertical-align: baseline;
  position: relative;
  top: .1em;
  margin: .2em .3em;
  border-radius: .15em;
  width: .7em;
  height: .9em;
  box-shadow: inset 0 0 0 .1em #666, -0.1em .1em 0 0 #fff, -0.2em .2em 0 0 #666;
}

.afh-search-module .yext-cards-container .yext-card-container .yext-card-case .copy-to-clipboard .featured-tooltip [class^="featured-tooltip-"] {
  visibility: hidden;
  width: 175px;
  font-size: .8rem;
  background-color: #FFF;
  color: #333;
  border: 1px solid #CCC;
  text-align: center;
  padding: 5px 0;
  border-radius: 6px;
  position: absolute;
  z-index: 1;
  bottom: 102%;
  opacity: 0;
  transition: opacity 0.3s;
  left: 50%;
  transform: translateX(-50%);
  margin: 0 0 5px 3px;
}

.afh-search-module .yext-cards-container .yext-card-container .yext-card-case .copy-to-clipboard .featured-tooltip [class^="featured-tooltip-"]::after {
  content: "";
  position: absolute;
  bottom: -5px;
  left: 50%;
  margin-left: -5px;
  border-width: 1px;
  border-style: solid;
  border-color: #FFF transparent transparent;
  box-shadow: -0.09em -0.09em 0 0 #ccc;
  transform: rotate(-135deg);
  background: var(--white);
  width: .75rem;
  height: .75rem;
}

.afh-search-module .yext-cards-container .yext-card-container .yext-card-case .copy-to-clipboard .featured-tooltip:hover .featured-tooltip-action {
  visibility: visible;
  opacity: 1;
}

.afh-search-module .yext-cards-container .yext-card-container .yext-card-case .copy-to-clipboard .featured-tooltip .featured-tooltip-action.hide {
  visibility: hidden;
}

.afh-search-module .yext-cards-container .yext-card-container .yext-card-case .copy-to-clipboard .featured-tooltip .featured-tooltip-success.show,
.afh-search-module .yext-cards-container .yext-card-container .yext-card-case .copy-to-clipboard .featured-tooltip .featured-tooltip-error.show {
  visibility: visible;
  opacity: 1;
}

@media(width >= 768px) {
  .afh-search-module .yext-cards-container {
    max-width: none;
    margin: 0;
    width: 100%;
  }

  .afh-search-module .yext-cards-container .yext-card-container {
    flex-direction: row;
    align-items: center;
    gap: 2rem;
  }

   .afh-search-module .yext-cards-container .yext-card-container .yext-card-img-anchor{
    max-width: calc(33.333% - 0.667rem);
    min-width: calc(33.333% - 0.667rem);
    flex-basis: calc(33.333% - 0.667rem);
  }

  .afh-search-module .yext-cards-container .yext-card-container .yext-card-img-container {
    position: relative;
  }

  .afh-search-module .yext-cards-container .yext-card-container .yext-card-img-container img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: contain;
  }

  .afh-recipe-listing-block .afh-search-module .yext-cards-container .yext-card-container .yext-card-img-container img {
    object-fit: cover;
  }

  .afh-search-module .yext-cards-container .yext-card-container .yext-card-img-container::before {
    content: '';
    display: block;
    padding-top: 66.666%;
  }
}

@media(width >= 1024px) {
  .afh-search-module .yext-cards-container .yext-card-container .yext-card-img-anchor {
    flex-basis: calc(25% - 0.5rem);
  }
}

.partnership-tags {
  display: flex;
  gap: 0.625rem;
  flex-flow: wrap row;
}

.partnership-tags p {
  margin: 0;
}

.partnership-tags a,
.partnership-tags p {
  text-decoration: none;
  padding: 0.25rem 0.5rem;
  border-radius: 0.25rem 0.625rem;
  color: #fff;
  font-size: 1rem;
  line-height: 1.25rem;
  font-weight: 600;
}

.yext-outer-wrapper:nth-child(even) .partnership-tags a:nth-child(even){  
  background-color: #003ea4;
}

.yext-outer-wrapper:nth-child(even) .partnership-tags a:nth-child(odd){  
  background-color: #ffbf3e;
}

.partnership-tags p.tag-new {
  background-color: #c81344;
}

.partnership-tags p.tag-discontinued {
  background-color: #3CB371;
}

.partnership-tags p.tag-cool-school-eligible{
  background-color: #4f8cfe;
}

.anchor-button-container {
  text-decoration: none;
}
